## gsttagxmp gsttagxmp — tag mappings and support functions for plugins dealing with xmp packets |

## Functions

GstTagList * | gst_tag_list_from_xmp_buffer ()
GstBuffer * | gst_tag_list_to_xmp_buffer ()
const gchar ** | gst_tag_xmp_list_schemas ()

## Includes

    #include <gst/tag/tag.h>

## Description

Contains various utility functions for plugins to parse or create xmp packets and map them to and from GstTagLists.

Please note that the xmp parser is very lightweight and not strict at all.

## Functions

### gst_tag_list_from_xmp_buffer ()

    GstTagList *
    gst_tag_list_from_xmp_buffer (GstBuffer *buffer);

Parse a xmp packet into a taglist.

#### Parameters

buffer | buffer |

#### Returns

new taglist or `NULL`, free the list when done

### gst_tag_list_to_xmp_buffer ()

    GstBuffer *
    gst_tag_list_to_xmp_buffer (const GstTagList *list,
                                gboolean read_only,
                                const gchar **schemas);

Formats a taglist as a xmp packet using only the selected schemas. An empty list (`NULL`) means that all schemas should be used

#### Parameters

list | tags |
read_only | does the container forbid inplace editing |
schemas | `NULL` terminated array of schemas to be used on serialization |

#### Returns

new buffer or `NULL`, unref the buffer when done

### gst_tag_xmp_list_schemas ()

    const gchar **
    gst_tag_xmp_list_schemas (void);

Gets the list of supported schemas in the xmp lib

#### Returns

a `NULL` terminated array of strings with the schema names.

[transfer none]

## Types and Values

## See Also

GstTagList